apiVersion: apps/v1
kind: Deployment
metadata:
  name: certsigner
  namespace: kube-system
spec:
  replicas: 1
  selector:
    matchLabels:
      app: certsigner
  template:
    metadata:
      labels:
        app: certsigner
    spec:
      containers:
      - name: certsigner
        image: python:latest
        command: ["cat"]
        tty: true
        resources:
          requests:
            memory: 1Mi
            cpu: 1m
          limits:
            memory: 100Mi
            cpu: 100m
        volumeMounts:
          - mountPath: /keys
            name: keys
          - mountPath: /certs
            name: certs
      volumes:
        - name: keys
          secret:
            secretName: certsigner
        - name: certs
          emptyDir:
            sizeLimit: 500Mi
      restartPolicy: Always